Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.impl
Class WsResourceRouter

    java.lang.Object
      org.apache.muse.core.routing.SimpleResourceRouter
          org.apache.muse.ws.resource.impl.WsResourceRouter

All Implemented Interfaces:
  Initialization, ResourceRouter, Shutdown

public class WsResourceRouter
extends SimpleResourceRouter

WsResourceRouter is a sub-class of SimpleResourceRouter that wraps all WS-A DestinationUnreachable faults in a WS-RF ResourceUnknownFault. These two faults have the same functional role, but WS-RF messages advertise the ResourceUnknownFault, so we use it instead of the WS-A fault.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`WsResourceRouter()`

Method Summary
`protected Resource` | `getTargetResource()` Queries the Environment to get the WS-A EPR being targeted by the current request and then does a lookup in the ResourceManager with that EPR.

Methods inherited from class org.apache.muse.core.routing.SimpleResourceRouter
`createResourceManager, getEnvironment, getLog, getPersistence, getResourceDefinitions, getResourceManager, hasBeenInitialized, hasBeenShutdown, initialize, invoke, setEnvironment, setLog, setPersistence, setResourceDefinitions, setResourceManager, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsResourceRouter

    public WsResourceRouter()

Method Detail

### getTargetResource

    protected Resource getTargetResource()
                                  throws SoapFault

  Description copied from class: `SimpleResourceRouter`
  Queries the Environment to get the WS-A EPR being targeted by the current request and then does a lookup in the ResourceManager with that EPR. This method is essential to all routing activity. The resource returned is guaranteed to be the resource specified by the client, but it is not guaranteed to support the specified operation.

  Overrides:
    `getTargetResource` in class `SimpleResourceRouter`
  Returns:
    The resource whose EPR maps to the WS-A data in the current request.
  Throws:
    `SoapFault` -
    - If the EPR (including any unique reference properties) is not associated with any resource instance.
  See Also:
    `MessageHeaders.getToAddress()`, `ResourceManager.getResource(EndpointReference)`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD